

fs/select.c:122:1: warning: "__IN" redefined
In file included from include/linux/timex.h:61,
                 from include/linux/sched.h:11,
                 from include/linux/module.h:10,
                 from fs/select.c:17:
include/asm/io.h:70:1: warning: this is the location of the previous definition
fs/select.c:123:1: warning: "__OUT" redefined
include/asm/io.h:60:1: warning: this is the location of the previous definition


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/select.c |   12 ++++--------
 1 files changed, 4 insertions(+), 8 deletions(-)

diff -puN fs/select.c~x86_64-vs-select-fix fs/select.c
--- 25/fs/select.c~x86_64-vs-select-fix	2004-08-25 22:59:06.384453672 -0700
+++ 25-akpm/fs/select.c	2004-08-25 23:00:50.387642784 -0700
@@ -118,15 +118,11 @@ void __pollwait(struct file *filp, wait_
 	}
 }
 
+#define FDS_IN(fds, n)		(fds->in + n)
+#define FDS_OUT(fds, n)		(fds->out + n)
+#define FDS_EX(fds, n)		(fds->ex + n)
 
-#define __IN(fds, n)		(fds->in + n)
-#define __OUT(fds, n)		(fds->out + n)
-#define __EX(fds, n)		(fds->ex + n)
-#define __RES_IN(fds, n)	(fds->res_in + n)
-#define __RES_OUT(fds, n)	(fds->res_out + n)
-#define __RES_EX(fds, n)	(fds->res_ex + n)
-
-#define BITS(fds, n)		(*__IN(fds, n)|*__OUT(fds, n)|*__EX(fds, n))
+#define BITS(fds, n)	(*FDS_IN(fds, n)|*FDS_OUT(fds, n)|*FDS_EX(fds, n))
 
 static int max_select_fd(unsigned long n, fd_set_bits *fds)
 {
_
